Bug 89609 - Add support for buffer list in nice sink
Summary: Add support for buffer list in nice sink
Status: RESOLVED FIXED
Alias: None
Product: nice
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Olivier Crête
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-17 12:25 UTC by Jose Antonio Santos
Modified: 2015-03-27 23:58 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
nicesink: Add support for render buffer_list (9.27 KB, patch)
2015-03-17 12:25 UTC, Jose Antonio Santos
Details | Splinter Review
nicesink: Add test for buffer list support (12.25 KB, patch)
2015-03-24 11:15 UTC, Jose Antonio Santos
Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Antonio Santos 2015-03-17 12:25:10 UTC
Created attachment 114383 [details] [review]
nicesink: Add support for render buffer_list

Attached patch adds support for buffer list in nicesink

Additionally it also tries to avoid memory copy while reading the buffers contents.

Patch is based on Tim-Philipp Müller implementation of gst-plugins-good/gst/udp/gstmultiudpsink.c
Comment 1 Olivier Crête 2015-03-17 15:44:59 UTC
Thank you for your contribution. It would also be lovely to have unit tests for this as it's not trivial.
Comment 2 Jose Antonio Santos 2015-03-17 16:37:32 UTC
Currently I am testing this with an small program that launches two gstreamer pipelines and send media from one to the other. I do not consider this as a unit test, but will it be suitable for you?
Comment 3 Olivier Crête 2015-03-17 16:46:19 UTC
I meant something much more unity, which crafts various bufferlist "variants", sends them, and checks that the right content arrives on the other side.
Comment 4 Jose Antonio Santos 2015-03-24 11:15:57 UTC
Created attachment 114579 [details] [review]
nicesink: Add test for buffer list support

This patch adds a unit test for buffer list support.

Sends a buffer list with buffers containing multiple memories and checks that a nicesrc receives exactly the same amount of data.
Comment 5 Olivier Crête 2015-03-27 23:58:13 UTC
Thank you so much, patches merged.

commit 20ea22e0a11a9bdfe4d8125b68083249b694338a
Author: Jose Antonio Santos Cadenas <santoscadenas@gmail.com>
Date:   Tue Mar 24 12:07:34 2015 +0100

    nicesink: Add test for buffer list support
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89609

commit 781f3ab12c48c79da13dee4073f56a3936a5dced
Author: Jose Antonio Santos Cadenas <santoscadenas@gmail.com>
Date:   Tue Mar 17 11:00:26 2015 +0100

    nicesink: Add support for render buffer_list
    
    Also memory copies are reduced if buffers are fragmented
    
    https://bugs.freedesktop.org/show_bug.cgi?id=89609


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.